[fastify-oas](../README.md) > [Operation](../interfaces/operation.md)

# Interface: Operation

## Hierarchy

**Operation**

## Index

### Properties

* [consumes](operation.md#consumes)
* [deprecated](operation.md#deprecated)
* [description](operation.md#description)
* [externalDocs](operation.md#externaldocs)
* [operationId](operation.md#operationid)
* [parameters](operation.md#parameters)
* [produces](operation.md#produces)
* [responses](operation.md#responses)
* [schemes](operation.md#schemes)
* [security](operation.md#security)
* [summary](operation.md#summary)
* [tags](operation.md#tags)

---

## Properties

<a id="consumes"></a>

### `<Optional>` consumes

**● consumes**: *`string`[]*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:106*

___
<a id="deprecated"></a>

### `<Optional>` deprecated

**● deprecated**: *`boolean`*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:109*

___
<a id="description"></a>

### `<Optional>` description

**● description**: *`string`*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:102*

___
<a id="externaldocs"></a>

### `<Optional>` externalDocs

**● externalDocs**: *[ExternalDocs](externaldocs.md)*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:103*

___
<a id="operationid"></a>

### `<Optional>` operationId

**● operationId**: *`string`*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:104*

___
<a id="parameters"></a>

### `<Optional>` parameters

**● parameters**: *`Array`<[Parameter](../#parameter) \| [Reference](reference.md)>*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:107*

___
<a id="produces"></a>

### `<Optional>` produces

**● produces**: *`string`[]*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:105*

___
<a id="responses"></a>

###  responses

**● responses**: *`object`*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:100*

#### Type declaration

[responseName: `string`]: [Response](response.md) \| [Reference](reference.md)

___
<a id="schemes"></a>

### `<Optional>` schemes

**● schemes**: *`string`[]*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:108*

___
<a id="security"></a>

### `<Optional>` security

**● security**: *[Security](../#security)[]*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:110*

___
<a id="summary"></a>

### `<Optional>` summary

**● summary**: *`string`*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:101*

___
<a id="tags"></a>

### `<Optional>` tags

**● tags**: *`string`[]*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:111*

___

